Subject: Re: [RESEND PATCH V1 net-next] net: ena: fix broken interface between ENA driver and FW

From: Leon Romanovsky <[email-masked]>
Date: Sun, 1 Mar 2020 15:50:07 +0200

On Wed, Feb 26, 2020 at 08:48:09PM -0800, David Miller wrote:
> From: <[email-masked]>
> Date: Wed, 26 Feb 2020 12:03:35 +0200
>
> > From: Arthur Kiyanovski <[email-masked]>
> >
> > In this commit we revert the part of
> > commit 1a63443afd70 ("net/amazon: Ensure that driver version is aligned to the linux kernel"),
> > which breaks the interface between the ENA driver and FW.
> >
> > We also replace the use of DRIVER_VERSION with DRIVER_GENERATION
> > when we bring back the deleted constants that are used in interface with
> > ENA device FW.
> >
> > This commit does not change the driver version reported to the user via
> > ethtool, which remains the kernel version.
> >
> > Fixes: 1a63443afd70 ("net/amazon: Ensure that driver version is aligned to the linux kernel")
> > Signed-off-by: Arthur Kiyanovski <[email-masked]>
>
> Applied.

Dave,

I see that I'm late here and my email sounds like old man grumbling,
but I asked from those guys to update their commit with request
to put the following line:
"/* DO NOT CHANGE DRV_MODULE_GEN_* values in in-tree code */"
https://lore.kernel.org/netdev/20200224162649.GA4526@unreal/

I also asked how those versions are transferred to FW and used there,
but was ignored.
https://lore.kernel.org/netdev/20200224094116.GD422704@unreal/

BTW, It is also unclear why I wasn't CCed in this patch.

Thanks